<?php
namespace App\Controllers;

use App\Models\User;
use App\Helpers\SessionHelper;

class AuthController
{
    /**
     * Muestra la página de inicio de sesión
     */
    public function login()
    {
        if (SessionHelper::isAuthenticated()) {
            header("Location: /dashboard");
            exit;
        }
        include '../app/Views/auth/login.php';
    }

    /**
     * Procesa el inicio de sesión
     */
    public function authenticate()
    {
        $email = $_POST['email'] ?? '';
        $password = $_POST['password'] ?? '';

        if (empty($email) || empty($password)) {
            $_SESSION['error'] = "Los campos no pueden estar vacíos.";
            header("Location: /login");
            exit;
        }

        $user = User::findByEmail($email);

        if (!$user || !password_verify($password, $user['password'])) {
            $_SESSION['error'] = "Correo o contraseña incorrectos.";
            header("Location: /login");
            exit;
        }

        // Iniciar sesión
        SessionHelper::login($user);
        header("Location: /dashboard");
        exit;
    }

    /**
     * Cierra la sesión del usuario
     */
    public function logout()
    {
        SessionHelper::logout();
        header("Location: /login");
        exit;
    }
}
