<?php
namespace App\Controllers;

use App\Models\Invoice;
use App\Helpers\AfipHelper;
use App\Helpers\PdfHelper;

class InvoiceController
{
    /**
     * Muestra la lista de facturas
     */
    public function index()
    {
        $facturas = Invoice::getAll();
        include '../app/Views/invoices/list.php';
    }

    /**
     * Muestra el formulario de creación de facturas
     */
    public function create()
    {
        include '../app/Views/invoices/create.php';
    }

    /**
     * Guarda una nueva factura en AFIP y la base de datos
     */
    public function store()
    {
        $datosFactura = $_POST;
        
        $afip = new AfipHelper();
        $resultado = $afip->crearFacturaElectronica($datosFactura);

        if (!$resultado) {
            $_SESSION['error'] = "No se pudo generar la factura en AFIP.";
            header("Location: /invoices/create");
            exit;
        }

        $datosFactura['cae'] = $resultado['CAE'];
        $datosFactura['fecha_vencimiento_cae'] = $resultado['CAEFchVto'];
        Invoice::save($datosFactura);
        
        $_SESSION['success'] = "Factura creada exitosamente.";
        header("Location: /invoices");
        exit;
    }

    /**
     * Genera un PDF de la factura
     */
    public function generatePdf($id)
    {
        $factura = Invoice::find($id);
        
        if (!$factura) {
            $_SESSION['error'] = "Factura no encontrada.";
            header("Location: /invoices");
            exit;
        }
        
        $pdfHelper = new PdfHelper();
        $pdfHelper->generarPdfFactura($factura);
    }
}
