<?php
namespace App\Helpers;

use Afip;

class AfipHelper
{
    private $afip;

    public function __construct()
    {
        // Inicializa la instancia de AFIP con el CUIT correspondiente
        $this->afip = new Afip(['CUIT' => 20304050607]);
    }

    /**
     * Crea una factura electrónica y obtiene el CAE
     *
     * @param array $data Datos de la factura.
     * @return array Respuesta de AFIP con el CAE y otros detalles.
     */
    public function crearFacturaElectronica($data)
    {
        return $this->afip->ElectronicBilling->CreateVoucher($data);
    }
}
