<?php
namespace App\Helpers;

use Mpdf\Mpdf;

class PdfHelper
{
    /**
     * Genera un PDF de la factura
     *
     * @param array $factura Datos de la factura.
     */
    public function generarPdfFactura($factura)
    {
        $mpdf = new Mpdf();

        // Plantilla HTML para la factura
        $html = '<html>
        <head><title>Factura</title></head>
        <body>
            <h1>Factura N° ' . $factura['numero_comprobante'] . '</h1>
            <p><strong>Cliente:</strong> ' . $factura['cliente_nombre'] . '</p>
            <p><strong>Fecha:</strong> ' . $factura['fecha_emision'] . '</p>
            <p><strong>CAE:</strong> ' . $factura['cae'] . '</p>
            <p><strong>Total:</strong> $' . number_format($factura['total_general'], 2) . '</p>
        </body>
        </html>';
        
        $mpdf->WriteHTML($html);
        $mpdf->Output("factura_{$factura['numero_comprobante']}.pdf", 'D');
    }
}
