<?php
namespace App\Helpers;

class SessionHelper
{
    /**
     * Inicia una sesión de usuario
     */
    public static function login($user)
    {
        session_start();
        $_SESSION['user_id'] = $user['id'];
        $_SESSION['user_name'] = $user['nombre'];
    }

    /**
     * Verifica si un usuario está autenticado
     */
    public static function isAuthenticated()
    {
        session_start();
        return isset($_SESSION['user_id']);
    }

    /**
     * Cierra la sesión del usuario
     */
    public static function logout()
    {
        session_start();
        session_destroy();
    }
}
