<?php
namespace App\Models;

use PDO;
use App\Database\Connection;

class Invoice
{
    /**
     * Obtiene todas las facturas
     */
    public static function getAll()
    {
        $pdo = Connection::getInstance();
        $stmt = $pdo->query("SELECT * FROM invoices");
        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }

    /**
     * Busca una factura por su ID
     */
    public static function find($id)
    {
        $pdo = Connection::getInstance();
        $stmt = $pdo->prepare("SELECT * FROM invoices WHERE id = ?");
        $stmt->execute([$id]);
        return $stmt->fetch(PDO::FETCH_ASSOC);
    }

    /**
     * Guarda una nueva factura en la base de datos
     */
    public static function save($data)
    {
        $pdo = Connection::getInstance();
        $stmt = $pdo->prepare("INSERT INTO invoices (cliente_nombre, cliente_cuit, fecha_emision, numero_comprobante, cae, total_general) VALUES (?, ?, ?, ?, ?, ?)");
        return $stmt->execute([
            $data['cliente_nombre'],
            $data['cliente_cuit'],
            $data['fecha_emision'],
            $data['numero_comprobante'],
            $data['cae'],
            $data['total_general']
        ]);
    }

    /**
     * Elimina una factura por su ID
     */
    public static function delete($id)
    {
        $pdo = Connection::getInstance();
        $stmt = $pdo->prepare("DELETE FROM invoices WHERE id = ?");
        return $stmt->execute([$id]);
    }
}
