<?php
namespace App\Models;

use PDO;
use App\Database\Connection;

class Report
{
    /**
     * Obtiene todos los reportes
     */
    public static function getAll()
    {
        $pdo = Connection::getInstance();
        $stmt = $pdo->query("SELECT * FROM reports");
        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }

    /**
     * Busca un reporte por su ID
     */
    public static function find($id)
    {
        $pdo = Connection::getInstance();
        $stmt = $pdo->prepare("SELECT * FROM reports WHERE id = ?");
        $stmt->execute([$id]);
        return $stmt->fetch(PDO::FETCH_ASSOC);
    }

    /**
     * Guarda un nuevo reporte en la base de datos
     */
    public static function save($data)
    {
        $pdo = Connection::getInstance();
        $stmt = $pdo->prepare("INSERT INTO reports (titulo, contenido, fecha_creacion) VALUES (?, ?, ?)");
        return $stmt->execute([
            $data['titulo'],
            $data['contenido'],
            date('Y-m-d H:i:s')
        ]);
    }

    /**
     * Elimina un reporte por su ID
     */
    public static function delete($id)
    {
        $pdo = Connection::getInstance();
        $stmt = $pdo->prepare("DELETE FROM reports WHERE id = ?");
        return $stmt->execute([$id]);
    }
}
