<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Factura</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            font-size: 12px;
            margin: 0;
            padding: 20px;
            color: #333;
        }
        .container {
            width: 100%;
            margin: 0 auto;
        }
        .header {
            text-align: center;
            margin-bottom: 20px;
        }
        .header img {
            max-width: 150px;
        }
        .header h1 {
            margin: 0;
            font-size: 24px;
        }
        .details, .items {
            width: 100%;
            border-collapse: collapse;
            margin-bottom: 20px;
        }
        .details th, .details td, .items th, .items td {
            padding: 8px;
            border: 1px solid #ddd;
            text-align: left;
        }
        .items th {
            background-color: #f0f0f0;
        }
        .totals {
            width: 100%;
            text-align: right;
        }
        .totals td {
            padding: 8px;
            font-weight: bold;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <img src="{{ empresa_logo }}" alt="Logo de la Empresa">
            <h1>Factura N° {{ numero_comprobante }}</h1>
        </div>
        <table class="details">
            <tr>
                <th>Cliente</th>
                <td>{{ cliente_nombre }}</td>
                <th>Fecha de Emisión</th>
                <td>{{ fecha_emision }}</td>
            </tr>
            <tr>
                <th>CUIT</th>
                <td>{{ cliente_cuit }}</td>
                <th>CAE</th>
                <td>{{ cae }}</td>
            </tr>
        </table>
        <table class="items">
            <thead>
                <tr>
                    <th>Descripción</th>
                    <th>Cantidad</th>
                    <th>Precio Unitario</th>
                    <th>Total</th>
                </tr>
            </thead>
            <tbody>
                {{#each items}}
                <tr>
                    <td>{{ descripcion }}</td>
                    <td>{{ cantidad }}</td>
                    <td>{{ precio_unitario }}</td>
                    <td>{{ subtotal }}</td>
                </tr>
                {{/each}}
            </tbody>
        </table>
        <table class="totals">
            <tr>
                <td>Subtotal:</td>
                <td>{{ subtotal_general }}</td>
            </tr>
            <tr>
                <td>IVA:</td>
                <td>{{ total_iva }}</td>
            </tr>
            <tr>
                <td>Total:</td>
                <td>{{ total_general }}</td>
            </tr>
        </table>
    </div>
</body>
</html>
