<!-- Archivo: list.php -->
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Listado de Facturas</title>
    <link rel="stylesheet" href="/public/css/styles.css">
</head>
<body>
    <div class="invoice-container">
        <h2>Listado de Facturas</h2>
        <a href="/invoices/create" class="btn btn-primary">Nueva Factura</a>
        <table>
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Cliente</th>
                    <th>Fecha</th>
                    <th>Total</th>
                    <th>Acciones</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($facturas as $factura): ?>
                <tr>
                    <td><?= $factura['id'] ?></td>
                    <td><?= $factura['cliente_nombre'] ?></td>
                    <td><?= $factura['fecha_emision'] ?></td>
                    <td>$<?= number_format($factura['total_general'], 2) ?></td>
                    <td>
                        <a href="/invoices/view/<?= $factura['id'] ?>" class="btn btn-info">Ver</a>
                        <a href="/invoices/edit/<?= $factura['id'] ?>" class="btn btn-warning">Editar</a>
                        <a href="/invoices/delete/<?= $factura['id'] ?>" class="btn btn-danger" onclick="return confirm('¿Estás seguro de eliminar esta factura?');">Eliminar</a>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
</body>
</html>
