<?php
// Archivo: public/index.php

require '../config/database.php';
require '../app/Controllers/AuthController.php';
require '../app/Controllers/DashboardController.php';
require '../app/Controllers/InvoiceController.php';
require '../app/Controllers/UserController.php';
require '../app/Controllers/ReportController.php';
require '../app/Controllers/SettingsController.php';

use App\Controllers\AuthController;
use App\Controllers\DashboardController;
use App\Controllers\InvoiceController;
use App\Controllers\UserController;
use App\Controllers\ReportController;
use App\Controllers\SettingsController;

session_start();

$uri = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);

switch ($uri) {
    case '/':
    case '/login':
        (new AuthController())->login();
        break;
    case '/authenticate':
        (new AuthController())->authenticate();
        break;
    case '/logout':
        (new AuthController())->logout();
        break;
    case '/dashboard':
        (new DashboardController())->index();
        break;
    case '/invoices':
        (new InvoiceController())->index();
        break;
    case '/invoices/create':
        (new InvoiceController())->create();
        break;
    case '/invoices/store':
        (new InvoiceController())->store();
        break;
    case '/users':
        (new UserController())->index();
        break;
    case '/reports':
        (new ReportController())->index();
        break;
    case '/settings':
        (new SettingsController())->index();
        break;
    default:
        http_response_code(404);
        echo "<h1>404 - Página no encontrada</h1>";
        break;
}
