// Archivo: scripts.js

document.addEventListener("DOMContentLoaded", function() {
    console.log("Script cargado correctamente");

    // Confirmación antes de eliminar elementos
    document.querySelectorAll(".btn-danger").forEach(button => {
        button.addEventListener("click", function(event) {
            if (!confirm("¿Estás seguro de que deseas eliminar este elemento?")) {
                event.preventDefault();
            }
        });
    });

    // Validación de formularios
    document.querySelectorAll("form").forEach(form => {
        form.addEventListener("submit", function(event) {
            let valid = true;
            form.querySelectorAll("input[required]").forEach(input => {
                if (input.value.trim() === "") {
                    valid = false;
                    input.style.border = "1px solid red";
                } else {
                    input.style.border = "1px solid #ddd";
                }
            });
            if (!valid) {
                alert("Por favor, completa todos los campos obligatorios.");
                event.preventDefault();
            }
        });
    });
});
